<?php
session_start();


require_once "../../../config/database.php";

if (empty($_SESSION['username']) && empty($_SESSION['password'])){
    echo "<meta http-equiv='refresh' content='0; url=index.php?alert=1'>";
}

else {
    if ($_GET['act']=='insert') {
        if (isset($_POST['Guardar'])) {
     
			$id  = mysqli_real_escape_string($mysqli, trim($_POST['id']));
            $nombre  = mysqli_real_escape_string($mysqli, trim($_POST['nombre']));
			$apertura  = mysqli_real_escape_string($mysqli, trim($_POST['apertura']));
		
			
		

  
            $query = mysqli_query($mysqli, "INSERT INTO apertura_cierre (id,nombre,apertura) 
                                            VALUES('$id','$nombre','$apertura')")
                                            or die('error '.mysqli_error($mysqli));    

        
            if ($query) {
         
                header("location: ../../../main.php?module=apertura_view&alert=1");
            }   
        }   
    }
    
 	
	
	   elseif ($_GET['act']=='update') {
        if (isset($_POST['Guardar'])) {
            if (isset($_POST['id'])) {
        
               $id  = mysqli_real_escape_string($mysqli, trim($_POST['id']));
            $nombre  = mysqli_real_escape_string($mysqli, trim($_POST['nombre']));
			$apertura  = mysqli_real_escape_string($mysqli, trim($_POST['apertura']));
				
		
			
              

                $query = mysqli_query($mysqli, "UPDATE apertura_cierre SET  nombre       = '$nombre',
                                                                   
                                                                
                                                                    apertura          = '$apertura'
																
                                                              WHERE id       = '$id'")
                                                or die('error: '.mysqli_error($mysqli));

    
                if ($query) {
                  
                    header("location: ../../../main.php?module=apertura_view&alert=2");
                }         
            }
        }
    }

    elseif ($_GET['act']=='delete') {
        if (isset($_GET['id'])) {
            $id = $_GET['id'];
      
            $query = mysqli_query($mysqli, "DELETE FROM apertura_cierre WHERE id='$id'")
                                            or die('error '.mysqli_error($mysqli));


            if ($query) {
     
                header("location: ../../../main.php?module=apertura_view&alert=3");
            }
        }
    }       
}       
?>